org.springframework.web.servlet.mvc.condition

## Interface MediaTypeExpression

    public interface MediaTypeExpression

A contract for media type expressions (e.g. "text/plain", "!text/plain") as defined in the `@RequestMapping` annotation for "consumes" and "produces" conditions.

Since:
  3.1
Author:
  Rossen Stoyanchev
See Also:
  `RequestMapping.consumes()`, `RequestMapping.produces()`

### Method Summary

Methods
`MediaType` `getMediaType()`
`boolean` `isNegated()`

### Method Detail

#### getMediaType

    MediaType getMediaType()

#### isNegated

    boolean isNegated()